<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'transaction_files',

    /*
     * Modules.
     */
    'modules'   => ['transaction_file'],

    
    'transaction_file'       => [
        'model' => [
            'model'                 => \Buyesrfolio\TransactionFiles\Models\TransactionFile::class,
            'table'                 => 'transaction_files',
            'presenter'             => \Buyesrfolio\TransactionFiles\Repositories\Presenter\TransactionFilePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'file',  'extension',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'transaction_files/transaction_file',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'TransactionFiles',
            'module'    => 'TransactionFile',
        ],

    ],
];
