# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/buyesrfolio/transaction_files/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/buyesrfolio/transaction_files/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Buyesrfolio\\TransactionFiles\\": "packages/buyesrfolio/transaction_files/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'TransactionFiles'  => Buyesrfolio\TransactionFiles\Facades\TransactionFiles::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\TransactionFilesTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transaction_files/{modulename}

**User**

    http://path-to-route-folder/user/transaction_files/{modulename}

**Public**

    http://path-to-route-folder/transaction_files


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/transaction_files/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transaction_files/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transaction_files/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transaction_files/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transaction_files/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transaction_files/{modulename}/{slug}
    METHOD: GET