Lavalite package that provides transaction_files management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `buyesrfolio/transaction_files`.

    "buyesrfolio/transaction_files": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider::class,

And also add it to alias

    'TransactionFiles'  => Buyesrfolio\TransactionFiles\Facades\TransactionFiles::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\TransactionFilesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFiles\Providers\TransactionFilesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transaction_files/{modulename}

**User**

    http://path-to-route-folder/user/transaction_files/{modulename}

**Public**

    http://path-to-route-folder/transaction_files


### API endpoints

**List**

    http://path-to-route-folder/api/user/transaction_files/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transaction_files/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transaction_files/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transaction_files/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transaction_files/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transaction_files/{modulename}/{slug}
    METHOD: GET