<?php

// API routes  for transaction_file
Route::prefix('{guard}/transaction_files')->group(function () {
    Route::get('transaction_file/form/{element}', 'TransactionFileAPIController@form');
    Route::resource('transaction_file', 'TransactionFileAPIController');
});

// Public routes for transaction_file
Route::get('transaction_files/', 'TransactionFilePublicController@index');
Route::get('transaction_files/{slug?}', 'TransactionFilePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for transaction_files
            Route::prefix('{guard}/transaction_files')->group(function () {
                Route::get('transaction_file/form/{element}', 'TransactionFileAPIController@form');
                Route::apiResource('transaction_file', 'TransactionFileAPIController');
            });
            // Public routes for transaction_files
            Route::get('transaction_files/TransactionFile', 'TransactionFilePublicController@getTransactionFile');
        }
    );
}

