<?php

// web routes  for transaction_file
Route::prefix('{guard}/transaction_files')->group(function () {
    Route::resource('transaction_file', 'TransactionFileResourceController');
});

// Public routes for transaction_file
Route::get('transaction_files/', 'TransactionFilePublicController@index');
Route::get('transaction_files/{slug?}', 'TransactionFilePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TransactionFileResourceController');
            });
            // Public routes for pages
            Route::get('transaction_files/', 'TransactionFilePublicController@index');
            Route::get('transaction_files/{slug?}', 'TransactionFilePublicController@show');
        }
    );
}

