<?php

namespace Buyesrfolio\TransactionFiles\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TransactionFileTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\TransactionFiles\Models\TransactionFile $transaction_file)
    {
        return [
            'id'                => $transaction_file->getRouteKey(),
            'key'               => [
                'public'    => $transaction_file->getPublicKey(),
                'route'     => $transaction_file->getRouteKey(),
            ], 
            'file'              => $transaction_file->file,
            'extension'         => $transaction_file->extension,
            'deleted_at'        => $transaction_file->deleted_at,
            'url'               => [
                'public'    => trans_url('transaction_files/'.$transaction_file->getPublicKey()),
                'user'      => guard_url('transaction_files/transaction_file/'.$transaction_file->getRouteKey()),
            ], 
            'status'            => trans('app.'.$transaction_file->status),
            'created_at'        => format_date($transaction_file->created_at),
            'updated_at'        => format_date($transaction_file->updated_at),
        ];
    }
}