<?php

namespace Buyesrfolio\TransactionFiles;

use User;

class TransactionFiles
{
    /**
     * $transaction_file object.
     */
    protected $transaction_file;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\TransactionFiles\Interfaces\TransactionFileRepositoryInterface $transaction_file)
    {
        $this->transaction_file = $transaction_file;
    }

    /**
     * Returns count of transaction_files.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.transaction_file.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->transaction_file->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\TransactionFileUserCriteria());
        }

        $transaction_file = $this->transaction_file->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('transaction_files::' . $view, compact('transaction_file'))->render();
    }
}
